package cn.com.poc.common.service;

import cn.com.yict.framemax.core.service.BaseService;

import java.io.IOException;
import java.io.InputStream;

public interface BosConfigService extends BaseService {

    String uploadFileByByteArray2Oss(byte[] decodedByte, String uploadFolder, String fileName, String fileType) throws IOException;

    String uploadFileByByteArray2Oss(byte[] decodedByte, String fileName, String fileType) throws IOException;

    String upload(InputStream inputStream, String fileType, String contentType) throws IOException;


    String uploadImageByBase64(String base64) throws IOException;

    String uploadImageByUrl2Bos(String url) throws IOException;


}
